Subject: Re: I-D ACTION:draft-ietf-atommib-rfc2496bis-03.txt

From: "C. M. Heard" <[email-masked]>
Date: Thu, 10 Jul 2003 15:20:43 -0700 (PDT)

On Wed, 2 Jul 2003 [email-masked] wrote:
> A New Internet-Draft is available from the on-line
> Internet-Drafts directories. This draft is a work item of the
> AToM MIB Working Group of the IETF.
> 
> 	Title		: Definitions of Managed Objects for the DS3/E3
>                           Interface Type
> 	Author(s)	: O. Nicklass
> 	Filename	: draft-ietf-atommib-rfc2496bis-03.txt
> 	Pages		: 67
> 	Date		: 2003-7-1

AToM MIB folks,

I have just finished reviewing draft-ietf-atommib-rfc2496bis-03.txt
to see if all the review comments previously sent to the list have
been properly addressed.  Most have, but there are still a few minor
editorial issues that need to be addressed.  I'll go back through
the MIB review checklist and list the unaddressed comments along
with proposed fixes.

1.) I-D Boilerplate -- OK

2.) Abstract -- OK

4.) IPR Notices -- OK

5.) References -- the following things still require attention:
...
% [RFC2493]           referenced in MIB module IMPORTS statement
%                     (PerfHist-TC-MIB).  Note: this reference should
%                     point to the forthcoming update of RFC 2493
%                     (the RFC number is TBD, the approved draft
%                     is <draft-ietf-atommib-rfc2493bis-01.txt>;
%                     suggest to change the tag to [RFC2493bis] and
%                     list the I-D name;  the RFC Editor will fill
%                     in the RFC number when it is assigned).
...
% (d) the following informative references should probably point to
% the forthcoming updates:
% 
% [RFC2495]           the RFC number is TBD, the unapproved draft
%                     is <draft-ietf-atommib-rfc2495bis-02.txt>
% 
% [RFC2558]           the RFC number is TBD, the approved draft
%                     is <draft-ietf-atommib-rfc2558bis-01.txt>
% 
% You may want to handle these with an RFC Editor note at the end of
% the document, as was done in <draft-ietf-atommib-rfc2493bis-01.txt>

Here are the proposed fixes: on page 64, Section 8.1, "Normative
References", change:

[RFC2493]
     Tesink, K., "Textual Conventions for MIB Modules Using Performance
     History Based on 15 Minute Intervals", Work in progress, RFC number
     is TBD.

to:

[RFC2493bis]
     Tesink, K., "Textual Conventions for MIB Modules Using
     Performance History Based on 15 Minute Intervals",
     draft-ietf-atommib-rfc2493bis-01.txt, work in progress.

     ************************************************************
     * NOTE TO RFC Editor (to be removed prior to publication): *
     * Please update this reference to point to the forthcoming *
     * RFC based on draft-ietf-atommib-rfc2493bis-01.txt that   *
     * will replace RFC 2493, and replace all occurrences of    *
     * "2493bis" with the number of that RFC.                   *
     ************************************************************

(the exact form of the RFC editor note is at author's discretion),
and on page 64, Section 8.2, "Informative References", change:

[RFC2495]
     Fowler D., "Definitions of Managed Objects for the DS1 and E1
     Interface Types", Work in progress, RFC number is TBD.

[RFC2558]
     Brown, T., and Tesink, K., "Definitions of Managed Objects for the
     SONET/SDH Interface Type", Work in progress, RFC number is TBD.

to:

[RFC2495]
     Fowler, D., "Definitions of Managed Objects for the DS1, E1,
     DS2 and E2 Interface Types", RFC 2495, January 1999.

     ************************************************************
     * NOTE TO RFC Editor (to be removed prior to publication): *
     * If <draft-ietf-atommib-rfc2495bis-04.txt> (or its        *
     * successor) is to be published as an RFC concurrently     *
     * with this document, please update this reference to      *
     * to point to that RFC, instead of RFC 2495, and change    *
     * the reference tag [RFC2495] to match.                    *
     ************************************************************

[RFC2558]
     Tesink, K., "Definitions of Managed Objects for the SONET/SDH
     Interface Type", RFC 2558, March 1999.

     ************************************************************
     * NOTE TO RFC Editor (to be removed prior to publication): *
     * If <draft-ietf-atommib-rfc2558bis-01.txt> (or its        *
     * successor) is to be published as an RFC concurrently     *
     * with this document, please update this reference to      *
     * to point to that RFC, instead of RFC 2558, and change    *
     * the reference tag [RFC2558] to match.                    *
     ************************************************************

(the exact form of the RFC editor notes is at author's discretion;
please update 2495bis I-D name if another version will be current).

6.) Security Considerations Section -- there are a few typographical
errors in the revised text;  here are the proposed fixes.

CHG:
   Setting the following objects to incorrect values may result in
   traffic interruptions
TO:
   Setting the following objects to incorrect values may result in
   traffic interruptions:
                        ^
CHG:
      dsx3FarEndEquipCode
      dsx3FarEndLocationIDCode
      dsx3FarEndFrameIDCode
      dsx3FarEndUnitCode
      dsx3FarEndFacilityIDCode
   Setting the following object to an incorrect value will not harm the
   traffic, but it may cause a circuit to be mis-identified and thereby
   create difficulties for service personnel when attempting to
   troubleshoot a problem:
TO:
      dsx3FarEndEquipCode
      dsx3FarEndLocationIDCode
      dsx3FarEndFrameIDCode
      dsx3FarEndUnitCode
      dsx3FarEndFacilityIDCode

   Setting the following object to an incorrect value will not harm the
   traffic, but it may cause a circuit to be mis-identified and thereby
   create difficulties for service personnel when attempting to
   troubleshoot a problem:

(i.e. insert a strategic blank line)

CHG:
   Setting the following object can cause an increase in the number of
   traps received by the network management station.
                                                   ^
      dsx3LineStatusChangeTrabEnable
                             ^
TO:
   Setting the following object can cause an increase in the number of
   traps received by the network management station:
                                                   ^
      dsx3LineStatusChangeTrapEnable
                             ^
7.) IANA Considerations Section -- OK

8.) Copyright notices -- there is at yet no full copyright notice
as required by RFC 2026 sec 10.4(C).  Cut & paste from RFC 2026
or better still from a recent RFC (there are some typos in the
version in RFC 2026).

9.) MIB compilation -- there was an edit error that resulted
in some text and the trailing quote being deleted from the
DESCRIPTION clause of dsx1LineType and that resulted in an
enmbedded double quote in the REFERENCE clause.  The recommended
fix to the dsx1LineType definition discussed under 11 below will
take care of this.  All other compilation problems are fixed.

10.) Other issues (e.g., stuff in http://www.ietf.org/ID-nits.html
that is not covered above) -- there are still some lines in the MIB
module that are longer than 72 characters, MIB module itself, but
they will go away (after the RFC Editor notes are removed) if the
indentation is reduced from 10 spaces down to 3.  Also, readability
would be improved if a page break is inserted before the start of
Appendix A, before the first table in Appendix A, before the start
of Appendix B, and before the start of the figure in Appendix B
(this last is needed to ensure that it resides on a single page). I
think that the RFC Editor can handle this stuff, so fixes for these
things are at the author's discretion.

There are also some typos from the context diff sent out in the
-02 review comments that have not been corrected, and these do
need to be dealt with.  Here are the proposed fixes:

On Page 4, Section 2.2.1, third paragraph:
s/assoication/association/  (two occurrences)

On Page 8, last paragraph:
s/This objects/This object/

11.) Technical content -- there are still some minor issues with
the MIB module.

On Wed, 21 May 2003, Kaj Tesink wrote, in the context of how to
eliminate the citations in the dsx3LineType DESCRIPTION clause:
> add to dsx3LineType OBJECT-TYPE:
> 
> REFERENCE
>      "American National Standard for telecommunications - digital hierarchy -
>           formats specification, ANSI T1.107- 1988.
>      ANSI T1.107a-1990.
>      American National Standard for telecommunications - digital hierarchy -
>           electrical interfaces, ANSI T1.102- 1987.
>      CCITT - Digital Multiplex Equipment Operating at the Third Order Bit
>           Rate of 34 368 Kbit/s and the Forth Order Bit Rate of 139 264 Kbit/s
>           and Using Positive Justification, G.751
>      European Telecommunications Standards Institute -- ETS "34M" --
>           Metropolitan Area Network Physical Convergence Layer Procedure for
>           34.368 Megabits per Second, T/NA(91)18, May 1991."

The dsx3LineType definition in the -03 draft does indeed contain this
reference clause, but it has an illegal embedded double quote, and
the descriptions of the enumerations were (by mistake I believe)
eliminated from the DESCRIPTION clause when the citations were removed.
So I suggest that the dsx3LineType definition (pp. 20-21) be changed
from:

   dsx3LineType OBJECT-TYPE
        SYNTAX  INTEGER {
                   dsx3other(1),
                   dsx3M23(2),
                   dsx3SYNTRAN(3),
                   dsx3CbitParity(4),
                   dsx3ClearChannel(5),
                   e3other(6),
                   e3Framed(7),
                   e3Plcp(8),
                   dsx3M13(9)
               }
        MAX-ACCESS  read-write
        STATUS  current
        DESCRIPTION
               "This variable indicates the variety of DS3 C-bit
               or E3 application implementing this interface. The
               type of interface affects the interpretation of
               the usage and error statistics.  The rate of DS3
               is 44.736 Mbps and E3 is 34.368 Mbps.  The
               dsx3ClearChannel value means that the C-bits are
               not used except for sending/receiving AIS.
       REFERENCE
               "American National Standard for telecommunications
                    - digital hierarchy -
                    formats specification, ANSI T1.107- 1988.
                    ANSI T1.107a-1990.
                American National Standard for telecommunications
                    - digital hierarchy -
                    electrical interfaces, ANSI T1.102- 1987.
                CCITT - Digital Multiplex Equipment Operating at
                    the Third Order Bit Rate of 34 368 Kbit/s
                    and the Forth Order Bit Rate of 139 264 Kbit/s
                    and Using Positive Justification, G.751
                European Telecommunications Standards Institute
                    -- ETS "34M" --
                    Metropolitan Area Network Physical
                    Convergence Layer Procedure for
                    34.368 Megabits per Second, T/NA(91)18, May
                    1991."

        ::= { dsx3ConfigEntry 5 }

to:

   dsx3LineType OBJECT-TYPE
        SYNTAX  INTEGER {
                   dsx3other(1),
                   dsx3M23(2),
                   dsx3SYNTRAN(3),
                   dsx3CbitParity(4),
                   dsx3ClearChannel(5),
                   e3other(6),
                   e3Framed(7),
                   e3Plcp(8),
                   dsx3M13(9)
               }
        MAX-ACCESS  read-write
        STATUS  current
        DESCRIPTION
               "This variable indicates the variety of DS3 C-bit
               or E3 application implementing this interface. The
               type of interface affects the interpretation of
               the usage and error statistics.  The rate of DS3
               is 44.736 Mbps and E3 is 34.368 Mbps.  The
               dsx3ClearChannel value means that the C-bits are
               not used except for sending/receiving AIS.

               The values, in sequence, describe:

               TITLE:            SPECIFICATION:
               dsx3M23            ANSI T1.107-1988
               dsx3SYNTRAN        ANSI T1.107-1988
               dsx3CbitParity     ANSI T1.107a-1990
               dsx3ClearChannel   ANSI T1.102-1987
               e3Framed           CCITT G.751
               e3Plcp             ETSI T/NA(91)18
               dsx3M13            ANSI T1.107a-1990."
       REFERENCE
               "American National Standard for telecommunications
                    - digital hierarchy -
                    formats specification, ANSI T1.107- 1988.
                    ANSI T1.107a-1990.
                American National Standard for telecommunications
                    - digital hierarchy -
                    electrical interfaces, ANSI T1.102- 1987.
                CCITT - Digital Multiplex Equipment Operating at
                    the Third Order Bit Rate of 34 368 Kbit/s
                    and the Forth Order Bit Rate of 139 264 Kbit/s
                    and Using Positive Justification, G.751
                European Telecommunications Standards Institute
                    -- ETS ``34M'' --
                    Metropolitan Area Network Physical
                    Convergence Layer Procedure for
                    34.368 Megabits per Second, T/NA(91)18, May
                    1991."
        ::= { dsx3ConfigEntry 5 }

which will fix the compilation problems and re-instate the enumeration
descriptions.

% (b) As noted in #9 above, this MIB module contains a number of
% read-only index columns that are a legacy of its origin as an
% SMIv1 MIB module.  Although it is not strictly required, it is
% recommended to add ASN.1 comments to the definitions of these
% objects explaining why they are read-only.  For example:

The update for the dsx3FracIndex object was missed.  It turns
out to have an old typo in its DESCRIPTION clause, so the
proposed fix is to change the definition (on p. 51) from:

   dsx3FracIndex OBJECT-TYPE
       SYNTAX  INTEGER (1..'7fffffff'h)
       MAX-ACCESS  read-only
       STATUS  deprecated
       DESCRIPTION
               "The index value which uniquely identifies  the
               DS3  interface  to which this entry is applicable
               The interface identified by a  particular value
               of  this  index is the same interface as
               identified by the same value  an  dsx3LineIndex
               object instance."
       ::= { dsx3FracEntry 1 }

to:

   dsx3FracIndex OBJECT-TYPE
       SYNTAX  INTEGER (1..'7fffffff'h)
       MAX-ACCESS  read-only  -- read-only since originally an
                              -- SMIv1 index
       STATUS  deprecated
       DESCRIPTION
               "The index value which uniquely identifies  the
               DS3  interface  to which this entry is applicable
               The interface identified by a  particular value
               of  this  index is the same interface as
               identified by the same value of a dsx3LineIndex
               object instance."
       ::= { dsx3FracEntry 1 }

As far as I can tell, everything else is OK.

Have a productive discussion in Vienna.

Regards & thanks,

Mike Heard